Start networking on boot, and setup a default set of network
authorEric Andersen <andersen@codepoet.org>
Fri, 20 Jun 2003 20:18:25 +0000 (20:18 -0000)
committerEric Andersen <andersen@codepoet.org>
Fri, 20 Jun 2003 20:18:25 +0000 (20:18 -0000)
interfaces (just loopback for now).

sources/target_skeleton/etc/init.d/S40network [new file with mode: 0755]
sources/target_skeleton/etc/network/interfaces [new file with mode: 0644]

diff --git a/sources/target_skeleton/etc/init.d/S40network b/sources/target_skeleton/etc/init.d/S40network
new file mode 100755 (executable)
index 0000000..d835d9c
--- /dev/null
@@ -0,0 +1,35 @@
+#!/bin/sh
+#
+# Start the network....
+#
+
+start() {
+       echo "Starting network..."
+       /sbin/ifup -a
+}      
+stop() {
+       echo -n "Stopping network..."
+       /sbin/ifdown -a
+}
+restart() {
+       stop
+       start
+}      
+
+case "$1" in
+  start)
+       start
+       ;;
+  stop)
+       stop
+       ;;
+  restart|reload)
+       restart
+       ;;
+  *)
+       echo $"Usage: $0 {start|stop|restart}"
+       exit 1
+esac
+
+exit $?
+
diff --git a/sources/target_skeleton/etc/network/interfaces b/sources/target_skeleton/etc/network/interfaces
new file mode 100644 (file)
index 0000000..218b82c
--- /dev/null
@@ -0,0 +1,4 @@
+# Configure Loopback
+auto lo
+iface lo inet loopback
+